## rust-rdftk 0.1.0%2B20250926

=== debian/changelog ===
rust-rdftk (0.1.0+20250926-2) unstable; urgency=medium

  * stop provide or autopkgtest unavailable feature default
    for crates rdftk_iri rdftk_names;
    update autopkgtest for crate rdftk_io
    to add features turtle and nt with trig and nt with turtle

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Oct 2025 13:17:14 +0200

rust-rdftk (0.1.0+20250926-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Bastian Germann ]
  * update copyright info:
    + verbosely list BSD-3-Clause; closes: #1115237

  [ Jonas Smedegaard ]
  * update copyright info:
    + use semantic newlines
    + use non-generic License shortname BSD-3-Clause~W3C
  * update watch file: fix prefix
  * omit another failing test
  * omit checking failing tests also for autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Oct 2025 12:08:40 +0200

rust-rdftk (0.1.0+20241125-5) unstable; urgency=medium

  * add patch 1001_fence_features
    to fence functions by needed features
  * stop tolerate test failures when targeted experimental

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Oct 2025 11:42:57 +0200

rust-rdftk (0.1.0+20241125-4) unstable; urgency=medium

  * drop patch 2001_uuid, obsoleted by Debian packaging changes
  * update watch file: use file format 5

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Sep 2025 19:34:34 +0200

rust-rdftk (0.1.0+20241125-3) experimental; urgency=medium

  * still closes: bug#1108622

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Aug 2025 08:55:53 +0200

rust-rdftk (0.1.0+20241125-2) experimental; urgency=medium

  * update source helper script copyright-check
  * update copyright info:
    + update coverage, thanks to Thorsten Alteholz

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Aug 2025 16:45:19 +0200

rust-rdftk (0.1.0+20241125-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1108622

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Jul 2025 21:10:47 +0200
