=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Source: https://github.com/johnstonskj/rust-rdftk.git
Matching-Pattern: HEAD
Mode: git
Pretty: 0.1.0+%cd
