=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 Source: https://github.com/johnstonskj/rust-rdftk.git
 Matching-Pattern: HEAD
 Mode: git
-Pretty: 0.1.0+%cd
+Pretty: 0.1.0~%cd
