## rust-rdftk 0.1.0+20250926

=== debian/changelog ===
rust-rdftk (0.1.0+20250926-3) unstable; urgency=medium

  * limit autopkgtest to check single-feature tests only on amd64
  * skip nofeatures and default-features autopkgtests on riscv64
    to avoid timeouts
  * stop set superfluous fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Jan 2026 10:19:28 +0100
