=== debian/control ===
Source: rust-rdftk
Section: rust
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-base64-0.22+default-dev,
 librust-bimap-0.6+default-dev,
 librust-chrono-0.4+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-clap-4+wrap-help-dev,
 librust-clio-0.3+clap-parse-dev,
 librust-clio-0.3+default-dev,
 librust-human-panic-2+default-dev,
 librust-indoc-2+default-dev,
 librust-itertools-0.13+default-dev,
 librust-language-tags-0.3+default-dev,
 librust-lazy-static-1+default-dev,
 librust-log-0.4+default-dev,
 librust-objio-0.1+default-dev,
 librust-paste-1+default-dev,
 librust-pest-2+default-dev,
 librust-pest-derive-2+default-dev,
 librust-pretty-assertions-1+default-dev,
 librust-pretty-env-logger-0.5+default-dev,
 librust-regex-1+default-dev,
 librust-rust-decimal-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-subscriber-0.3+default-dev,
 librust-unique-id-0.1+sequence-dev,
 librust-url-2+default-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+v4-dev,
 librust-xml-rs-0.8+default-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/rust-rdftk.git
Vcs-Browser: https://salsa.debian.org/debian/rust-rdftk
Homepage: https://github.com/johnstonskj/rust-rdftk

Package: librust-rdftk-core-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-base64-0.22+default-dev,
 librust-bimap-0.6+default-dev,
 librust-chrono-0.4+default-dev,
 librust-itertools-0.13+default-dev,
 librust-language-tags-0.3+default-dev,
 librust-lazy-static-1+default-dev,
 librust-objio-0.1+default-dev,
 librust-paste-1+default-dev,
 librust-pest-2+default-dev,
 librust-pest-derive-2+default-dev,
 librust-regex-1+default-dev,
 librust-rust-decimal-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-tracing-0.1+default-dev,
 librust-unique-id-0.1+sequence-dev,
 librust-url-2+default-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+v4-dev,
 librust-xml-rs-0.8+default-dev,
 ${misc:Depends},
Provides:
 librust-rdftk-core-0.5+binary-types-dev (= ${binary:Version}),
 librust-rdftk-core-0.5+chrono-types-dev (= ${binary:Version}),
 librust-rdftk-core-0.5+decimal-types-dev (= ${binary:Version}),
 librust-rdftk-core-0.5+default-dev (= ${binary:Version}),
 librust-rdftk-core-0.5+n3-formulae-dev (= ${binary:Version}),
 librust-rdftk-core-0.5+rdf-star-dev (= ${binary:Version}),
 librust-rdftk-core-0.5-dev (= ${binary:Version}),
 librust-rdftk-core-0.5.6-dev (= ${binary:Version}),
 librust-rdftk-io-0.3+default-dev (= ${rust:Version:librust-rdftk-io-dev}),
 librust-rdftk-io-0.3+dot-dev (= ${rust:Version:librust-rdftk-io-dev}),
 librust-rdftk-io-0.3+json-dev (= ${rust:Version:librust-rdftk-io-dev}),
 librust-rdftk-io-0.3+json-ld-dev (= ${rust:Version:librust-rdftk-io-dev}),
 librust-rdftk-io-0.3+n3-dev (= ${rust:Version:librust-rdftk-io-dev}),
 librust-rdftk-io-0.3+nq-dev (= ${rust:Version:librust-rdftk-io-dev}),
 librust-rdftk-io-0.3+nt-dev (= ${rust:Version:librust-rdftk-io-dev}),
 librust-rdftk-io-0.3+trig-dev (= ${rust:Version:librust-rdftk-io-dev}),
 librust-rdftk-io-0.3+turtle-dev (= ${rust:Version:librust-rdftk-io-dev}),
 librust-rdftk-io-0.3+xml-dev (= ${rust:Version:librust-rdftk-io-dev}),
 librust-rdftk-io-0.3-dev (= ${rust:Version:librust-rdftk-io-dev}),
 librust-rdftk-io-0.3.3-dev (= ${rust:Version:librust-rdftk-io-dev}),
# librust-rdftk-iri-0.2+default-dev (= ${rust:Version:librust-rdftk-iri-dev}),
 librust-rdftk-iri-0.2-dev (= ${rust:Version:librust-rdftk-iri-dev}),
 librust-rdftk-iri-0.2.5-dev (= ${rust:Version:librust-rdftk-iri-dev}),
# librust-rdftk-names-0.2+default-dev (= ${rust:Version:librust-rdftk-names-dev}),
 librust-rdftk-names-0.2-dev (= ${rust:Version:librust-rdftk-names-dev}),
 librust-rdftk-names-0.2.5-dev (= ${rust:Version:librust-rdftk-names-dev}),
Description: RDF toolkit for Rust - Rust source code
 The RDF toolkit for Rust is a set of crates
 providing the ability to work with RDF data.
 The goal is to provide a consistent set of tools
 for reading and writing files, manipulating models programmatically,
 and working with graph (triple) stores.
 .
 The rdftk_core crate provides the core RDF data model;
 concrete implementations for Statements and Literals,
 along with a Resource type
 that provides a builder-like experience for models.
 .
 The rdftk_io crate provides traits
 for reading and writing Statements and Graphs
 as well as implementations of these for common representations.
 .
 The rdftk_iri crate provides an implementation
 of the IRI and URI specifications.
 .
 The rdftk_names crate provides a set of modules
 that contain the IRIs and QName strings for commonly used vocabularies.
 It also provides macro support
 for defining new namespaces in the same style as this library.
 .
 This package contains the source for the Rust crates
 rdftk_core rdftk_io rdftk_iri and rdftk_names,
 for use with cargo.

#Package: rdftk
#X-Cargo-Crates:
# rdftk_cli,
#Section: science
#Architecture: any
#Depends:
# ${misc:Depends},
# ${shlibs:Depends},
#Built-Using:
# ${cargo:Built-Using},
#Static-Built-Using:
# ${cargo:Static-Built-Using},
#Description: CLI tool for inspecting and transforming RDF files
# rdftk provides a command-line interface
# for inspecting and transforming RDF files.
