=== debian/tests/control ===
# check nofeatures and single-feature tests only on amd64
# skip nofeatures and default-features tests on riscv64 to avoid timeouts

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rdftk_core 0.5.6
 --all-targets --all-features
 --no-fail-fast --
 --skip test_blank_collection_object
 --skip write_to_nquads
 --skip write_to_turtle
 --skip write_to_turtle_with_base
 --skip write_to_turtle_with_options
Features:
 test-name=rust-rdftk_core:@,
Depends:
 dh-rust,
 librust-rdftk-core-0.5-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rdftk_core 0.5.6
 --all-targets --no-default-features
 --no-fail-fast --
 --skip test_blank_collection_object
 --skip write_to_nquads
 --skip write_to_turtle
 --skip write_to_turtle_with_base
 --skip write_to_turtle_with_options
Features:
 test-name=rust_core-rdftk:,
Depends:
 dh-rust,
 librust-rdftk-core-0.5-dev,
Restrictions:
 allow-stderr,
Architecture: !riscv64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rdftk_core 0.5.6
 --all-targets --no-default-features --features default
 --no-fail-fast --
 --skip test_blank_collection_object
 --skip write_to_nquads
 --skip write_to_turtle
 --skip write_to_turtle_with_base
 --skip write_to_turtle_with_options
Features:
 test-name=rust-rdftk_core:default,
Depends:
 dh-rust,
 librust-rdftk-core-0.5+default-dev,
Restrictions:
 allow-stderr,
Architecture: !riscv64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rdftk_core 0.5.6
 --all-targets --no-default-features --features binary_types
 --no-fail-fast --
 --skip test_blank_collection_object
 --skip write_to_nquads
 --skip write_to_turtle
 --skip write_to_turtle_with_base
 --skip write_to_turtle_with_options
Features:
 test-name=rust-rdftk_core:binary_types,
Depends:
 dh-rust,
 librust-rdftk-core-0.5+binary-types-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rdftk_core 0.5.6
 --all-targets --no-default-features --features chrono_types
 --no-fail-fast --
 --skip test_blank_collection_object
 --skip write_to_nquads
 --skip write_to_turtle
 --skip write_to_turtle_with_base
 --skip write_to_turtle_with_options
Features:
 test-name=rust-rdftk_core:chrono_types,
Depends:
 dh-rust,
 librust-rdftk-core-0.5+chrono-types-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rdftk_core 0.5.6
 --all-targets --no-default-features --features decimal_types
 --no-fail-fast --
 --skip test_blank_collection_object
 --skip write_to_nquads
 --skip write_to_turtle
 --skip write_to_turtle_with_base
 --skip write_to_turtle_with_options
Features:
 test-name=rust-rdftk_core:decimal_types,
Depends:
 dh-rust,
 librust-rdftk-core-0.5+decimal-types-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rdftk_core 0.5.6
 --all-targets --no-default-features --features n3_formulae
 --no-fail-fast --
 --skip test_blank_collection_object
